Name:          eigen3
Version:       3.3.1
Release:       1mamba
Summary:       A C++ template library for linear algebra
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://eigen.tuxfamily.org
Source:        http://bitbucket.org/eigen/eigen/get/%{version}.tar.bz2
Patch0:        eigen3-3.2.10-fix-pkgconfig-includedir.patch
License:       LGPL, MPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: doxygen
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Eigen is a C++ template library for linear algebra: vectors, matrices, and related algorithms.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Provides:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      eigen-devel = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Eigen is a C++ template library for linear algebra: vectors, matrices, and related algorithms.
This package contains static libraries and header files need for development.

%prep
%setup -q -c
mv eigen-* eigen
%patch0 -p1

%build
cd eigen
%cmake -d build \
   -DINCLUDE_INSTALL_DIR=%{_includedir}/eigen3

%make
cd ..
make doc

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
cd eigen
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files devel
%defattr(-,root,root)
%{_includedir}/eigen3/
%dir %{_datadir}/eigen3
%dir %{_datadir}/eigen3/cmake
%{_datadir}/eigen3/cmake/*.cmake
%{_datadir}/pkgconfig/eigen3.pc
%doc eigen/COPYING.*

%changelog
* Sat Dec 17 2016 Automatic Build System <autodist@mambasoft.it> 3.3.1-1mamba
- automatic version update by autodist

* Sun Oct 23 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.10-2mamba
- fix broken include path in eigen3.pc

* Wed Oct 05 2016 Automatic Build System <autodist@mambasoft.it> 3.2.10-1mamba
- automatic version update by autodist

* Tue Jul 19 2016 Automatic Build System <autodist@mambasoft.it> 3.2.9-1mamba
- automatic version update by autodist

* Wed Feb 17 2016 Automatic Build System <autodist@mambasoft.it> 3.2.8-1mamba
- automatic version update by autodist

* Fri Jan 01 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.7-3mamba
- really fix pkgconfig file

* Wed Dec 23 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.7-2mamba
- fix pkgconfig include dir

* Sat Nov 07 2015 Automatic Build System <autodist@mambasoft.it> 3.2.7-1mamba
- automatic version update by autodist

* Sat Oct 03 2015 Automatic Build System <autodist@mambasoft.it> 3.2.6-1mamba
- automatic version update by autodist

* Wed Jul 08 2015 Automatic Build System <autodist@mambasoft.it> 3.2.5-1mamba
- automatic version update by autodist

* Mon Feb 02 2015 Automatic Build System <autodist@mambasoft.it> 3.2.4-1mamba
- automatic version update by autodist

* Fri Aug 08 2014 Automatic Build System <autodist@mambasoft.it> 3.2.2-1mamba
- automatic version update by autodist

* Sat Mar 15 2014 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic version update by autodist

* Mon Dec 03 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.2-1mamba
- update to 3.1.2

* Fri Jul 17 2009 Automatic Build System <autodist@mambasoft.it> 2.0.3-1mamba
- update to 2.0.3

* Fri May 29 2009 Davide Madrisan <davide.madrisan@gmail.com> 2.0.2-1mamba
- package created by autospec
